Jump to content
Sign in to follow this  
Produit literie

[Résolu] Base de donnée - migration impossible

Recommended Posts

Bonjour, Malgré le suivi a la lettre pour migrer de la version 1.3 a 1.4, a l'install on ne ne me propose pas de cocher "migration" - bref...j'ai installer sur un nouveau serveur la version 1.4..bon ca fonctionne...mais sans BD et table
Donc je voudrais importer mon ancienne BD version 1.3 vers mon nouveau serveur version 1.4.
Le nombre de table et le nom des tables ne sont pas les meme d'une version a l'autre - Comment faire ?
Merci de votre conseil

Share this post


Link to post
Share on other sites

Bonjour,

il faut faire une mise à jour dans les règles.

Le passage de la 1.3 à la 1.4 peut engendrer des problèmes de compatibilité entre les modules et template avec la 1.4 donc faite une première migration en local par sécurité.

Pour faire une migration il faut suivre le WIKI et en gros si votre installation ne propose pas la mise à jour c'est que vous n'avez pas copié l'ancien settngs.inc.php dans le nouveau répertoire config.

Sinon pour se simplifier la vie, je rappel que nous proposons un module de mise à jour simplifié qui charge tout seul la nouvelle version et qui remplace les fichiers adéquats.

Attention je rappel que ce module ne rend pas les modules compatibles avec la nouvelle version installé. Il ne fait que le travail de mise à jour et à vous, comme en manuel, de faire les corrections à la main.

Share this post


Link to post
Share on other sites

Merci

Je suppose que vous parlez de ce module "MISE À JOUR AUTOMATIQUE DE PRESTASHOP"...

Mais fonctionne t'il si je change de serveur ?

Exemple.
Actuellement site heberge sur www.xxx.com base de donnees xxx sur serveur xxx

Nouveau
site sera heberge sur www.yyy.com avec base de données yyyy sur serveur yyy

ce module peut il fonctionner ?

Merci et bonne journée

Share this post


Link to post
Share on other sites

Bonjour,

le module fonctionne là où il est c’est à dire si vous copié xxx sur yyy alors oui il fera la mise à jour de yyy.

Attention, nous rappelons que c'est 1 licence pour 1 site (bien entendu le module peut être transféré en local pour faire les mise à jour de la dite boutique).

Share this post


Link to post
Share on other sites

Dans le screencast il est dit qu'il faut copier les modules. Il ne faut surtout pas le faire.
Avant la migration de la 1.3, vers la 1.4 il faut virer du ftp, tous les modules et thèmes de version 1.3 qui ne sont pas ceux d'origine.

J'ai bossé ce week-end à essayer de reproduire des erreurs :
ERROR 500 =
-manque de .htaccess
-mémoire du php insuffisante
-modules et thèmes en version 1.3

Pour une mise à jour réussie, il faut procéder comme suis :
-virer du ftp les modules et thèmes autres que ceux d'origine
-remettre le thème prestashop par défaut
-charger prestashop sur le ftp
-supprimer install, tous les fichiers readme.txt, changelog
-insérer le .htaccess
-paramétrer l'url simplifiée et canonique
-créer un fichier et copier coller les fichiers mail, upload et img et mettre le tout dans le serveur

Vos modules et thèmes en version 1.3 ne sont plus compatibles il est inutile de les remettre.

Vous pouvez le faire, j'ai mis les modules et les thèmes en 1.3 en modifiant tous les fichiers, j'ai forcé le Smarty mais ensuite on se retrouve avec des images décalées.

Autre chose pendant 2 fois, j'ai réussi à faire sauter tout le bloc mon compte en utilisant la fonction performance concaténation compression et mise en cache. Erreur page introuvable, mais ma base mysql était compressée, certes, cette fonction a fait sauter un bloc la base était plus légère et compressée.

Premier essai sur une mise à jour, deuxième essai sur une installation directe, 2 fois plus de page "mon compte".

Bref, je m'éclate en reproduisant les erreurs que je lis ici.

Share this post


Link to post
Share on other sites

bonjour,
après avoir survi à la lettre la mise à jour de prestashop 1.4 j'ai un message d'erreur quand je veux ouvrire ma boutique en local :
Fatal error (Employee -> id_lang is empty)
Pourriez-vous me dire ce qu'il faut que je fasse .
Merci d'avance

Share this post


Link to post
Share on other sites

Cette erreur vient de la table ps_employee. Moi j'ai essayé de corriger la table, ça n'a rien donné, j'ai recommencé toute l'installation et ça a marché

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Sign in to follow this  

×
×
  • Create New...

Important Information

Cookies ensure the smooth running of our services. Using these, you accept the use of cookies. Learn More